﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="FilterPropertyEnum.cs" company="ScRePt">
//   Copyright © ScRePt 2010 - 2012
// </copyright>
// <summary>
//   The filter property enum.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace MP3D.Configuration
{
    #region Using Directives

    using System;
    using System.Collections.ObjectModel;

    using Helper;

    #endregion

    /// <summary>
    /// The filter property enum.
    /// </summary>
    [Serializable]
    public class FilterPropertyEnum : FilterProperty
    {
        #region Constructors and Destructors

        /// <summary>
        /// Initializes a new instance of the <see cref="FilterPropertyEnum"/> class.
        /// </summary>
        public FilterPropertyEnum()
        {
            this.FilterPropertyValueIds = new Collection<int>();
            this.StereoscopicValueToFilterPropertyValueIds = new SerializableDictionary<int, int>();
        }

        #endregion

        #region Properties

        /// <summary>
        /// Gets or sets FilterPropertyValueIds.
        /// </summary>
        public Collection<int> FilterPropertyValueIds { get; set; }

        /// <summary>
        /// Gets or sets StereoscopicValueToFilterPropertyValueIds.
        /// </summary>
        public SerializableDictionary<int, int> StereoscopicValueToFilterPropertyValueIds { get; set; }

        #endregion
    }
}