﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MenuCommandPropertyCycle.cs" company="ScRePt">
//   Copyright © ScRePt 2010 - 2012
// </copyright>
// <summary>
//   The menu command property cycle.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace MP3D.Configuration
{
    #region Using Directives

    using System;
    using System.Xml.Serialization;

    #endregion

    /// <summary>
    /// The menu command property cycle.
    /// </summary>
    [Serializable]
    public class MenuCommandPropertyCycle : MenuCommandProperty
    {
        #region Enums

        /// <summary>
        /// The cycle step.
        /// </summary>
        public enum CycleStep
        {
            /// <summary>
            /// The none.
            /// </summary>
            None = 0, 

            /// <summary>
            /// The parallax step.
            /// </summary>
            ParallaxStep = 1
        }

        #endregion

        #region Properties

        /// <summary>
        /// Gets or sets Step.
        /// </summary>
        [XmlAttribute]
        public CycleStep Step { get; set; }

        #endregion
    }
}