﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Profile.cs" company="ScRePt">
//   Copyright © ScRePt 2010 - 2012
// </copyright>
// <summary>
//   The profile.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace MP3D.Configuration
{
    #region Using Directives

    using System;
    using System.Xml.Serialization;

    using Helper;

    #endregion

    /// <summary>
    /// The profile.
    /// </summary>
    [Serializable]
    public class Profile
    {
        #region Constructors and Destructors

        /// <summary>
        /// Initializes a new instance of the <see cref="Profile"/> class.
        /// </summary>
        public Profile()
        {
            this.ProfileProperties = new SerializableDictionary<int, ProfileProperty>();
        }

        #endregion

        #region Properties

        /// <summary>
        /// Gets or sets a value indicating whether Enabled.
        /// </summary>
        [XmlAttribute]
        public bool Enabled { get; set; }

        /// <summary>
        /// Gets or sets Id.
        /// </summary>
        [XmlAttribute]
        public int Id { get; set; }

        /// <summary>
        /// Gets or sets Name.
        /// </summary>
        [XmlAttribute]
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets ProfileProperties.
        /// </summary>
        public SerializableDictionary<int, ProfileProperty> ProfileProperties { get; set; }

        #endregion

        #region Public Methods

        /// <summary>
        /// The to string.
        /// </summary>
        /// <returns>
        /// The to string.
        /// </returns>
        public override string ToString()
        {
            return this.Name;
        }

        #endregion
    }
}