﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ProfilePropertyPerMediaType.cs" company="ScRePt">
//   Copyright © ScRePt 2010 - 2012
// </copyright>
// <summary>
//   The profile property per media type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace MP3D.Configuration
{
    #region Using Directives

    using System;

    using Helper;

    using MediaPortal.Player;

    #endregion

    /// <summary>
    /// The profile property per media type.
    /// </summary>
    [Serializable]
    public class ProfilePropertyPerMediaType : ProfileProperty
    {
        #region Constructors and Destructors

        /// <summary>
        /// Initializes a new instance of the <see cref="ProfilePropertyPerMediaType"/> class.
        /// </summary>
        public ProfilePropertyPerMediaType()
        {
            this.Value = new SerializableDictionary<g_Player.MediaType, int>();
        }

        #endregion

        #region Properties

        /// <summary>
        /// Gets or sets Value.
        /// </summary>
        public SerializableDictionary<g_Player.MediaType, int> Value { get; set; }

        #endregion
    }
}