﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ProfilePropertyPerSource.cs" company="ScRePt">
//   Copyright © ScRePt 2010 - 2012
// </copyright>
// <summary>
//   The profile property per source.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace MP3D.Configuration
{
    #region Using Directives

    using System;

    using Helper;

    #endregion

    /// <summary>
    /// The profile property per source.
    /// </summary>
    [Serializable]
    public class ProfilePropertyPerSource : ProfileProperty
    {
        #region Constructors and Destructors

        /// <summary>
        /// Initializes a new instance of the <see cref="ProfilePropertyPerSource"/> class.
        /// </summary>
        public ProfilePropertyPerSource()
        {
            this.Value = new SerializableDictionary<string, int>();
        }

        #endregion

        #region Properties

        /// <summary>
        /// Gets or sets Value.
        /// </summary>
        public SerializableDictionary<string, int> Value { get; set; }

        #endregion
    }
}